WEBサービス創造記

WEBサービスを作ったり保守したりしてる人のメモブログです。

`bundle install`でnokogiriとnokogumboが入らない

   

よくあることだけど、表題の通り。
プロジェクトで使われているRubyのバージョンがアップしたのでrvmのgemsetも作り直して`bundle install`かけたらnokogiriのインストールでこけた。

関係ありそうな環境の変化は以下の通り。

  • Rubyのバージョンが2.2.3から2.3.1にアップした
  • Mac OS Sierra

以下のコマンドですんなり入った。一応メモ。

brew install libxml2 libxslt
gem install nokogiri -v '1.6.8' -- --use-system-libraries --with-xml2-include=/usr/local/opt/libxml2/include/libxml2
gem install nokogumbo -v '1.4.7' -- --use-system-libraries --with-xml2-include=/usr/local/opt/libxml2/include/libxml2

 - Ruby on Rails , , ,